#!/usr/bin/tclsh
###############################################################################
## Checker for a valid mytcl.so file 2.2.4
## KobazSQL-Check.tcl
## First Public Release
## 
## AUTHOR: Kobaz Mi'Daire <krobaz@yahoo.com>
## 
## REQUIRES: mytcl.so
##
## PURPOSE: Check for a valid mytcl.so file
##
###############################################################################

# Location of the mysql-tcl library
set sql_lib_file "./mytcl.so"

############################################
############################################
## Modify contents below at your own risk ##
############################################
############################################

if {[info exists botnick]} {
    putlog "KobazSQL-Check.tcl: This file NOT ment to be run in the bot!"
    return
}

puts "Checking $sql_lib_file"
if {![file exists $sql_lib_file]} {return -code error "Cannot load tcl-sql library: $sql_lib_file, Make sure this file is in your eggdrop directory!"}
if {[catch {load $sql_lib_file} error]} {return -code error "Cannot load tcl-sql library: $sql_lib_file, $error"}
catch sql result
if {![string match "*Usage:*" $result]} {return -code error "Invalid tcl-sql library file: $sql_lib_file"}
puts "You have a working mytcl.so file"